#ifndef __ggHiggs__
#define __ggHiggs__

#include "finite-mt_small-x_coeffs.hh"

using namespace std;



namespace ggHiggs {

  const double mZ = 91.1876;
  extern double mtop;
  extern double mbot; // negative mass means no bottom running in the loop
  extern double mcha; // negative mass means no charm running in the loop
  extern int    order;
  //extern int PDForder;
  extern bool finite_mt;
  extern bool __all_channels__;
  extern SmallxCoeffs *sxc;
  extern double _muF_mu_ratio;
  extern double _muR_muF_ratio;
  extern bool APimprExponent;
  extern bool MSbar;
  extern bool quiet;
  extern double INTEGRAL_PRECISION;


  // actual alphas routine will be provided by the user
  extern double alphas(double mu);

  double alphas_ihixs(double mu, int porder, double as0, double mu0); // alpha_s running from ihixs
  void init_consts(double mH);
  void SetScaleDependence(bool exact_muR=true, bool exact_muF=false, bool muR_gg_only=true, bool muF_gg_only=true);
  double Lum(double tau, double muF);
  double xs_LO_prefactor(double mH);
  void compute(double mH, double sqrts, double LO, double NLO, double NNLO,
	       double *rexact, double *rsoft2=NULL, double *rsoft1=NULL, double *rNsoft=NULL,
	       double *rhighenergy=NULL, double *momconsunc=NULL,
	       double *rsoft0=NULL, double *rsoftAP=NULL, double *rNsoftcoll=NULL, double *rNNLL=NULL, double *rNsoftdFMMV=NULL);
  // interface to LHAPDF
  int pdf_init(string SET_NAME, int SUBSET);

  double deltaEW(double mH, double mt);

};


#endif
